Error: hestia update failed (Daily mail after last update)

Hi everyone!

My hestia is running without any problem but since the last update, I noticed that every day at the same time I receive an email with the “Error: hestia update failed” message.

Anyway, everything works normally, but I would like to fix this error. I tried to run v-update-sys-hestia-all command, but with the same result (Error: hestia update failed). Also, I ran apt-get update command and this was the output (I don’t know if it matters):

Get:1 http://security.debian.org stretch/updates InRelease [53.0 kB]
Ign:2 http://ftp.debian.org/debian stretch InRelease
Ign:3 http://ftp.debian.org/debian-security stretch/updates InRelease
Ign:4 https://packages.sury.org/apache2 stretch InRelease
Get:5 http://apt.vestacp.com/stretch stretch InRelease [2188 B]
Ign:6 https://packages.sury.org/php stretch InRelease
Err:7 https://packages.sury.org/apache2 stretch Release
  server certificate verification failed. CAfile: /etc/ssl/certs/ca-certificates                                                  .crt CRLfile: none
Get:8 http://security.debian.org stretch/updates/main amd64 Packages [779 kB]
Get:9 http://ftp.debian.org/debian stretch-updates InRelease [93.6 kB]
Err:10 https://packages.sury.org/php stretch Release
  server certificate verification failed. CAfile: /etc/ssl/certs/ca-certificates                                                  .crt CRLfile: none
Get:11 http://apt.vestacp.com/stretch stretch/vesta amd64 Packages [1002 B]
Ign:12 https://apt.postgresql.org/pub/repos/apt stretch-pgdg InRelease
Get:13 http://ftp.debian.org/debian stretch Release [118 kB]
Hit:14 https://nginx.org/packages/mainline/debian stretch InRelease
Hit:15 https://apt.hestiacp.com stretch InRelease
Ign:16 http://ftp.debian.org/debian-security stretch/updates Release
Get:17 https://mirror.mva-n.net/mariadb/repo/10.4/debian stretch InRelease [4642                                                   B]
Err:17 https://mirror.mva-n.net/mariadb/repo/10.4/debian stretch InRelease
  The following signatures couldn't be verified because the public key is not av                                                  ailable: NO_PUBKEY F1656F24C74CD1D8
Err:18 https://apt.postgresql.org/pub/repos/apt stretch-pgdg Release
  server certificate verification failed. CAfile: /etc/ssl/certs/ca-certificates                                                  .crt CRLfile: none
Get:19 http://ftp.debian.org/debian stretch Release.gpg [3177 B]
Ign:20 http://ftp.debian.org/debian-security stretch/updates/main Sources
Ign:21 http://ftp.debian.org/debian-security stretch/updates/main all Packages
Get:22 http://security.debian.org stretch/updates/main Translation-en [366 kB]
Ign:23 http://ftp.debian.org/debian-security stretch/updates/main amd64 Packages
Ign:24 http://ftp.debian.org/debian-security stretch/updates/main Translation-en
Ign:20 http://ftp.debian.org/debian-security stretch/updates/main Sources
Get:25 http://security.debian.org stretch/updates/non-free amd64 Packages [14.1                                                   kB]
Get:26 http://security.debian.org stretch/updates/non-free Translation-en [21.3                                                   kB]
Ign:21 http://ftp.debian.org/debian-security stretch/updates/main all Packages
Ign:23 http://ftp.debian.org/debian-security stretch/updates/main amd64 Packages
Ign:24 http://ftp.debian.org/debian-security stretch/updates/main Translation-en
Ign:20 http://ftp.debian.org/debian-security stretch/updates/main Sources
Ign:21 http://ftp.debian.org/debian-security stretch/updates/main all Packages
Ign:23 http://ftp.debian.org/debian-security stretch/updates/main amd64 Packages
Ign:24 http://ftp.debian.org/debian-security stretch/updates/main Translation-en
Ign:20 http://ftp.debian.org/debian-security stretch/updates/main Sources
Ign:21 http://ftp.debian.org/debian-security stretch/updates/main all Packages
Ign:23 http://ftp.debian.org/debian-security stretch/updates/main amd64 Packages
Ign:24 http://ftp.debian.org/debian-security stretch/updates/main Translation-en
Ign:20 http://ftp.debian.org/debian-security stretch/updates/main Sources
Ign:21 http://ftp.debian.org/debian-security stretch/updates/main all Packages
Ign:23 http://ftp.debian.org/debian-security stretch/updates/main amd64 Packages
Ign:24 http://ftp.debian.org/debian-security stretch/updates/main Translation-en
Err:20 http://ftp.debian.org/debian-security stretch/updates/main Sources
  404  Not found
Ign:21 http://ftp.debian.org/debian-security stretch/updates/main all Packages
Ign:23 http://ftp.debian.org/debian-security stretch/updates/main amd64 Packages
Ign:24 http://ftp.debian.org/debian-security stretch/updates/main Translation-en
Reading package lists... Done
E: The repository 'https://packages.sury.org/apache2 stretch Release' does no lo                                                  nger have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disa                                                  bled by default.
N: See apt-secure(8) manpage for repository creation and user configuration deta                                                  ils.
E: The repository 'https://packages.sury.org/php stretch Release' does no longer                                                   have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disa                                                  bled by default.
N: See apt-secure(8) manpage for repository creation and user configuration deta                                                  ils.
W: The repository 'http://ftp.debian.org/debian-security stretch/updates Release                                                  ' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potential                                                  ly dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration deta                                                  ils.
W: An error occurred during the signature verification. The repository is not up                                                  dated and the previous index files will be used. GPG error: https://mirror.mva-n                                                  .net/mariadb/repo/10.4/debian stretch InRelease: The following signatures couldn                                                  't be verified because the public key is not available: NO_PUBKEY F1656F24C74CD1                                                  D8
E: The repository 'https://apt.postgresql.org/pub/repos/apt stretch-pgdg Release                                                  ' does no longer have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disa                                                  bled by default.
N: See apt-secure(8) manpage for repository creation and user configuration deta                                                  ils.

If you have any idea what the problem is that is causing me to get this alert message. Thank you.

Appears that you installed Debian Stretch (Debian 9) and Hestia only supports Debian versions 10 and 11.

1 Like

Stretch will be out of support for hestia soon, also other repos have dropped it as you can see above. I strongly suggest to fix the repo issues (temporary remove sury and others and switch to the archive for the debian one) then upgrade to debian 10 or even debian 11.

1 Like

Thanks for your replies. And @ScIT I’m not sure where I have to do these changes, in the etc/apt/sources.list? Because there is no “sury” repos.

My sources.list

deb http://ftp.debian.org/debian stretch main
deb-src http://ftp.debian.org/debian stretch main

deb http://ftp.debian.org/debian-security/ stretch/updates main
deb-src http://ftp.debian.org/debian-security/ stretch/updates main

deb http://ftp.debian.org/debian stretch-updates main
deb-src http://ftp.debian.org/debian stretch-updates main

deb http://security.debian.org/ stretch/updates main contrib non-free

Big thanks.

/etc/apt/sources.list.d/ contains additional lists. I can’t tell you what exactly you’ve to enter.